Open CASCADE Technology: PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString Class Reference

`#include <PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString.hxx>`

Inheritance diagram for PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString:
[legend]

## Public Member Functions
| PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString ()
| PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString (const Handle< PCollection_HExtendedString > &aValue)
void | SetValue (const Handle< PCollection_HExtendedString > &aValue)
Standard_Address | Value () const
| PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString (const Storage_stCONSTclCOM &a)
Handle < PCollection_HExtendedString > | _CSFDB_GetPColStd_VArrayNodeOfFieldOfHArray1OfExtendedStringmyValue () const
void | _CSFDB_SetPColStd_VArrayNodeOfFieldOfHArray1OfExtendedStringmyValue (const Handle< PCollection_HExtendedString > &p)
Public Member Functions inherited from PStandard_ArrayNode
| PStandard_ArrayNode ()
| Creates an empty ArrayNode. More...
| PStandard_ArrayNode (const Storage_stCONSTclCOM &a)
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Constructor & Destructor Documentation

PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString::PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString | ( |  | ) |

PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString::PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString | ( | const Handle< PCollection_HExtendedString > & | aValue | ) |

PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString::PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

## Member Function Documentation

Handle< PCollection_HExtendedString > PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString::_CSFDB_GetPColStd_VArrayNodeOfFieldOfHArray1OfExtendedStringmyValue | ( |  | ) | const
| inline

void PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString::_CSFDB_SetPColStd_VArrayNodeOfFieldOfHArray1OfExtendedStringmyValue | ( | const Handle< PCollection_HExtendedString > & | p | ) |
| inline

void PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString::SetValue | ( | const Handle< PCollection_HExtendedString > & | aValue | ) |

Standard_Address PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString.hxx